%define up_name   SDL2_Pango

%define major  4

%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d
%define develsname  %mklibname %{name} -d -s

Summary:    Rendering of internationalized text for SDL2 (Simple DirectMedia Layer)
Name:       sdl2_pango
Version:    2.1.5
Release:    %mkrel 1
License:    zlib
Group:      System/Libraries
URL:        https://github.com/markuskimius/SDL2_Pango
Source0:    https://github.com/markuskimius/SDL2_Pango/archive/v%{version}/%{up_name}-%{version}.tar.xz

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(pango)

%description
Rendering of internationalized text for SDL2 (Simple DirectMedia Layer)

%package -n   %{libname}
Summary:      Main library for %{name}
Group:        System/Libraries
Obsoletes:    %{_lib}%{name}2.0_2 < 2.0.0-2

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n   %{develname}
Summary:      Headers for developing programs that will use %{name}
Group:        Development/C
Requires:     %{libname} = %{version}-%{release}
Provides:     lib%{name}-devel = %{version}-%{release}
Provides:     %{name}%{major}-devel = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n   %{develsname}
Summary:      Static library for developing static programs that use %{name}
Group:        Development/C

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
%configure2_5x
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{up_name}.so.%{major}
%{_libdir}/lib%{up_name}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{up_name}.so
%{_libdir}/pkgconfig/%{up_name}.pc
%{_includedir}/SDL2_Pango.h

%files -n %{develsname}
%{_libdir}/lib%{up_name}.*a


%changelog
* Mon Jan 01 2024 pp <pp> 2.1.5-1pclos2024
- imported package sdl2_pango

